AI resources

Manage chargebacks

Upon receiving a chargeback initiation notification, use the provided data to assist in managing the process. This data will be essential for preparing and submitting the necessary documentation for the dispute.

In this stage, analyze the detailed information included in the notification to understand the specific aspects of the chargeback. Below, we present a diagram that illustrates how the document submission and receipt flow works:

  sequenceDiagram
      participant MerchantServer as Merchant Server
      participant MercadoPagoAPI as Mercado Pago API
      MerchantServer->>MercadoPagoAPI: Chargeback notification
      MercadoPagoAPI-->>MerchantServer: HTTP 200
      MerchantServer->>MercadoPagoAPI: GET Chargeback
      MercadoPagoAPI-->>MerchantServer: Chargeback response
      MerchantServer->>MercadoPagoAPI: Upload documentation
      MercadoPagoAPI-->>MerchantServer: HTTP 200
      MerchantServer->>MercadoPagoAPI: Chargeback update
      MercadoPagoAPI-->>MerchantServer: HTTP 200

Consult chargeback

Start the process by consulting the chargeback information using the id or case_id provided in the notification body.

From the obtained details, it will be possible to evaluate if there is a need to submit documentation to continue the chargeback.

To consult more information about the chargeback, send a GET request to the endpoint /v1/chargebacks/{id}API, replacing the id field with the id or case_id of the chargeback brought in the notification body:

curl

curl --location --globoff 'https://api.mercadopago.com/v1/chargebacks/{id}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{access_token}}'

Below is an example of a response to the request:

json

{
    "id": "234000062890459000",
    "payments": [
        86439942806
    ],
    "currency": "ARS",
    "amount": 1000.50,
    "reason": "general",
    "coverage_applied": true,
    "coverage_elegible": true,
    "documentation_required": false,
    "documentation_status": "not_supplied",
    "documentation": [],
    "date_documentation_deadline": null,
    "date_created": null,
    "date_last_updated": "2024-10-17T12:48:24.000-04:00",
    "live_mode": true
}

The coverage_elegible field indicates whether the transaction is eligible for Mercado Pago coverage in the event that the chargeback is resolved against the seller.

ValueDescription
trueThe transaction is eligible for Mercado Pago coverage.
falseThe transaction is not eligible for Mercado Pago coverage.

The documentation_status field indicates the current status of the documentation associated with the chargeback.

ValueDescription
not_suppliedNo documentation has been submitted for the chargeback.
review_pendingThe documentation was submitted and is pending review.

Submit documentation for chargeback

In the response to the query made to obtain more information about the chargeback, it will be indicated if you need to submit the necessary documentation to dispute it. You will only need to do so if the documentation_required field is true and the date_documentation_deadline field indicates a future date.

When documentation_required is false, Mercado Pago will resolve the chargeback automatically without requiring you to submit any documentation. In this case, simply wait for the Webhook notification with the resolution result.

At this stage, you can submit the documentation proving that the sale is valid through the following POST request:

The files must be sent in .jpg, .png, or .pdf format and have a maximum size of up to 10MB.

plain

curl -X POST  \
-F 'files[]=@/path/to/file/file1.png' \
-F 'files[]=@/path/to/file/file2.pdf' \
-H 'Authorization: Bearer {{access_token}}'
https://api.mercadopago.com/v1/chargebacks/{id}/documentation

If the files are successfully submitted, the API will return an HTTP 200 code and the documentation_status of the chargeback will be changed to review_pending.

After receiving the documentation, Mercado Pago acts as a mediator in the chargeback resolution process. The analysis is initiated with the card brand, which then sends the received documentation to the card-issuing bank. Once the bank's analysis is completed, the chargeback resolution is determined and the involved parties are notified.

Wait for the Webhook notification regarding the resolution and check the chargeback again using the endpoint /v1/chargebacks/{id}API"}. After the resolution, the coverage_applied field will indicate the result and will assume one of the possible values:

ValueDescription
trueIndicates that the decision was in favor of the seller and the money will be refunded.
falseIndicates that the decision was against the seller and the money will be deducted.
The chargeback resolution can take up to 6 months, depending on the card brand.

Transaction status

When a chargeback is initiated, the status of the associated payment is directly impacted. Initially, the status is changed to charged_back and the status_detail to in_process. After the conclusion of the chargeback analysis, whether by the decision of the issuing bank, the determination of eligibility for coverage by Mercado Pago, or the absence of provided documentation, the status_detail of the payment will be updated to settled or reimbursed. In Split Payments 1:N transactions, when the status_detail is settled, the chargeback amount is debited from each participant's account proportionally to their share of the transaction.

Statusstatus_detailDescription
charged_backin_processChargeback received. The payment dispute is in progress, awaiting a final decision.
charged_backsettledDecision against the seller. Money withdrawn from the seller's account.
charged_backreimbursedDecision in favor of the seller. Money refunded to the seller's account.

There is a direct correspondence between coverage_applied and status_detail: when status_detail is settled, the value of coverage_applied will be false; when status_detail is reimbursed, the value of coverage_applied will be true.